<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" 
	xmlns:jaxrs="http://cxf.apache.org/jaxrs-client" 
	xmlns:http="http://cxf.apache.org/transports/http/configuration" 
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:context="http://www.springframework.org/schema/context"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
                        http://cxf.apache.org/jaxrs-client http://cxf.apache.org/schemas/jaxrs-client.xsd
                        http://cxf.apache.org/transports/http/configuration http://cxf.apache.org/schemas/configuration/http-conf.xsd
           http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd">

<!--     <import resource="classpath:spring/uid-service-cxf3-context.xml" /> -->
<!--     <import resource="classpath:spring/ge-clicker-ws-context.xml" /> -->

    <http:conduit name="{http://v1.service.tracker.ge.fr/}IUidRestService.http-conduit">
        <http:client ConnectionTimeout="${mas.tracker.service.timeout.connect:1000}" ReceiveTimeout="${mas.tracker.service.timeout.receive:3000}" Referer="Mozilla Chrome Referrer" BrowserType="Mozilla Chroms UA" />
    </http:conduit>

    <http:conduit name="{http://service.v1.ws.clicker.common.ge.fr/}*.http-conduit">
        <http:client ConnectionTimeout="${ws.clicker.timeout.connect:1000}" ReceiveTimeout="${ws.clicker.timeout.receive:3000}" Referer="Mozilla Chrome Referrer" BrowserType="Mozilla Chroms UA" />
    </http:conduit>

    <bean id="restObjectMapper" class="com.fasterxml.jackson.databind.ObjectMapper" />

    <bean class="org.springframework.beans.factory.config.MethodInvokingBean">
        <property name="targetObject" ref="restObjectMapper" />
        <property name="targetMethod" value="configure" />
        <property name="arguments">
            <list>
                <value type="com.fasterxml.jackson.databind.DeserializationFeature">FAIL_ON_UNKNOWN_PROPERTIES</value>
                <value>false</value>
            </list>
        </property>
    </bean>

    <bean id="jaxrsJsonProvider" class="com.fasterxml.jackson.jaxrs.json.JacksonJaxbJsonProvider">
        <constructor-arg ref="restObjectMapper" />
        <constructor-arg>
            <array>
                <value type="com.fasterxml.jackson.jaxrs.cfg.Annotations">JAXB</value>
            </array>
        </constructor-arg>
    </bean>

    <bean id="noOpFaultListener" class="org.apache.cxf.logging.NoOpFaultListener" />

    <jaxrs:client id="uidRestClient" address="${mas.tracker.service.url}" serviceClass="fr.ge.tracker.service.v1.IUidRestService" >
        <jaxrs:providers>
            <ref bean="jaxrsJsonProvider" />
        </jaxrs:providers>
        <jaxrs:properties>
            <entry key="org.apache.cxf.logging.FaultListener" value-ref="noOpFaultListener"/>
        </jaxrs:properties>
    </jaxrs:client>

    <jaxrs:client id="referenceRestClient" address="${mas.tracker.service.url}" serviceClass="fr.ge.tracker.service.v2.IReferenceService" >
        <jaxrs:providers>
            <ref bean="jaxrsJsonProvider" />
        </jaxrs:providers>
        <jaxrs:properties>
            <entry key="org.apache.cxf.logging.FaultListener" value-ref="noOpFaultListener"/>
        </jaxrs:properties>
    </jaxrs:client>

    <jaxrs:client id="clickerRestService" address="${ws.clicker.url}" serviceClass="fr.ge.common.clicker.ws.v1.service.IEventRestService">
        <jaxrs:providers>
            <ref bean="jaxbJsonProvider" />
        </jaxrs:providers>
        <jaxrs:properties>
            <entry key="org.apache.cxf.logging.FaultListener" value-ref="noOpFaultListener"/>
        </jaxrs:properties>
    </jaxrs:client>

    <context:component-scan base-package="fr.ge.common.nash.batch.utils.monitor">
        <context:include-filter type="annotation" expression="org.springframework.stereotype.Service"/>
    </context:component-scan>

</beans>